Subject: Re: Emacs OS X GUI doesn't set locale

From: Paul Eggert <[email-masked]>
Date: Wed, 27 Jan 2016 10:06:45 -0800

On 01/26/2016 03:05 PM, Alan Third wrote:
> To my mind it might be a plus for Emacs to pass it's LANG along in this
> particular situation

Yes, this sounds right. We can think of it as OS X having a screwy way 
to specify the locale, for GUI-launched applications; it doesn't bother 
to specify LC_ALL etc. and expects the application to do that. So Emacs 
should do that at the start, as if the user had done it before launching 
Emacs.

I looked around, and it appears the GnuCash ran into a similar problem. 
You might want to look at its solution, in:

https://github.com/Gnucash/gnucash/blob/master/src/bin/gnucash-bin.c